# FAXPP_Token Struct Reference

A structure containing token information, returned by the tokenizer. More...

`#include <token.h>`

## Data Fields
FAXPP_TokenType | type
| The type of the token.
FAXPP_Text | value
| The string value of the token (might be zero length).
unsigned int | line
| The line number of the start of the token.
unsigned int | column
| The column number of the start of the token.
## Related Functions
(Note that these are not member functions.)
const char * | FAXPP_token_to_string (const FAXPP_TokenType type)
| Returns a string describing the given token type.

## Detailed Description

A structure containing token information, returned by the tokenizer.

Examples:

  tokenizer_example.c.

Definition at line 122 of file token.h.

## Friends And Related Function Documentation

const char * FAXPP_token_to_string | ( | const FAXPP_TokenType | type | ) | `[related]`

Returns a string describing the given token type.

Parameters:

  | type | The token type

Returns:
  a string

Examples:
  tokenizer_example.c.

## Field Documentation

FAXPP_TokenType FAXPP_Token::type

The type of the token.

Examples:
  tokenizer_example.c.

Definition at line 123 of file token.h.

FAXPP_Text FAXPP_Token::value

The string value of the token (might be zero length).

Examples:
  tokenizer_example.c.

Definition at line 124 of file token.h.

unsigned int FAXPP_Token::line

The line number of the start of the token.

Examples:
  tokenizer_example.c.

Definition at line 125 of file token.h.

unsigned int FAXPP_Token::column

The column number of the start of the token.

Examples:
  tokenizer_example.c.

Definition at line 126 of file token.h.

The documentation for this struct was generated from the following file:

- token.h